package de.szut.lf8_starter.project.dto.employee;

import com.fasterxml.jackson.databind.PropertyNamingStrategies;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;

@Getter
@Setter
@JsonNaming(PropertyNamingStrategies.SnakeCaseStrategy.class)
public class GetEmployeesFromProjectDto {
    private long projectId;
    private String projectDescription;
    private ArrayList<GetEmployeeDto> employees;
}
