package de.szut.lf8_starter.project.dto.project;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.PropertyNamingStrategies;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDate;
import java.util.List;

@Getter
@Setter
@JsonNaming(PropertyNamingStrategies.SnakeCaseStrategy.class)
public class UpdateProjectDto {
    private String name;

    private Long leadingEmployee;

    private List<Long> employees;

    private Long contractor;

    private String contractorName;

    private String comment;

    @JsonFormat(pattern = "dd.MM.yyyy")
    private LocalDate startDate;

    @JsonFormat(pattern = "dd.MM.yyyy")
    private LocalDate plannedEndDate;

    @JsonFormat(pattern = "dd.MM.yyyy")
    private LocalDate endDate;
}
