package de.szut.lf8_starter.welcome;

import org.springframework.http.ResponseEntity;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Collection;

@RestController
public class WelcomeController {

    @GetMapping("/welcome")
    public String welcome() {
        return "welcome to lf8_starter";
    }

    @GetMapping("/roles")
    public ResponseEntity<Collection<GrantedAuthority>> getRoles(Authentication authentication) {
        return ResponseEntity.ok((Collection<GrantedAuthority>) authentication.getAuthorities());
    }


}
